version: "3.8"

services:
  mng:
    image: mysql/mysql-cluster
    volumes:
      - ./cnf/my.cnf:/etc/my.cnf
      - ./cnf/mysql-cluster.cnf:/etc/mysql-cluster.cnf
    command: ndb_mgmd
    networks:
      mysqlcluster:
        ipv4_address: 192.168.0.2
  ndb1:
    image: mysql/mysql-cluster
    ports:
      - "33036:3306"
    volumes:
      - ./cnf/my.cnf:/etc/my.cnf
      - ./cnf/mysql-cluster.cnf:/etc/mysql-cluster.cnf
    command: ndbd
    depends_on:
      - "mng"
    networks:
      mysqlcluster:
        ipv4_address: 192.168.0.3
  ndb2:
    image: mysql/mysql-cluster
    ports:
      - "33026:3306"
    volumes:
      - ./cnf/my.cnf:/etc/my.cnf
      - ./cnf/mysql-cluster.cnf:/etc/mysql-cluster.cnf
    command: ndbd
    depends_on:
      - "mng"
    networks:
      mysqlcluster:
        ipv4_address: 192.168.0.4
  mysql:
    image: mysql/mysql-cluster
    ports:
      - "33016:3306"
    volumes:
      - ./cnf/my.cnf:/etc/my.cnf
      - ./cnf/mysql-cluster.cnf:/etc/mysql-cluster.cnf
    #    restart: always
    environment:
      MYSQL_DATABASE: social-network
      MYSQL_PASSWORD: password
      MYSQL_ROOT_PASSWORD: root
      MYSQL_USER: user
      MYSQL_ROOT_HOST: '%'
    command: mysqld
    depends_on:
      - "mng"
      - "ndb1"
      - "ndb2"
    networks:
      mysqlcluster:
        ipv4_address: 192.168.0.10
  adminer:
    image: adminer
    restart: always
    ports:
      - "18081:8080"
    links:
      - mysql:social-network
    networks:
      mysqlcluster:

networks:
  mysqlcluster:
    driver: bridge
    ipam:
      config:
        - subnet: 192.168.0.0/16
#  docker run -it -v "$PWD/mysql.conf/my.cnf:/etc/my.cnf" -v "$PWD/mysql.conf/mysql-cluster.cnf:/etc/mysql-cluster.cnf" --net=mysqlcluster_mysqlcluster mysql/mysql-cluster ndb_mgm